Retrieves project statuses

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the project status

string

Required

Max length: 50

is_default

Is default (auto selected when creating new project)

boolean
is_closed

Inform if this status means that the project/installation is archived

boolean

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating project_status

string
sales_organization

Embedded entity "sales_organization" when adding/updating project_status

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "f6f83a89-84fe-4680-aab8-6dfa5bc023c3",
  "name": "sample string 2",
  "is_default": true,
  "is_closed": true,
  "sales_organization_id": "25609813-96fb-4cf5-ab66-0a8b291e7f64",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "44c457a0-aa15-4bb1-b7be-1ad9932d24db",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "27486782-d2a5-4bfd-857d-641b96e00aa0",
    "db_currency_id": "0e59baf5-0409-4f23-b64a-2a9b9a917769",
    "db_language_id": "c0a71450-b9f3-433a-958a-532296b3c73e",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-15T17:46:59.1032905+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-05-15T17:46:59.1032905+00:00"
}